[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# inotify_init

Initialize a new inotify file descriptor

## Declaration

Source position: linux.pp line 417

`function inotify_init: cint;`

## Description

inotify_init initializes a new INotify file descriptor. No options can be specified. On return, the file descriptor is returned.

## Errors

On Error, -1 is returned. fpgeterrno can be used to get more detailed error information

## See also

inotify_init1 |  | Initialize a new inotify file descriptor with extra options.
inotify_add_watch |  | Add a watch to a notify file descriptor
inotify_rm_watch |  | Remove watch from Inotify file descriptor.

Documentation generated on: Feb 26 2014